Bug 187569 - change executable's name in biology/tinker, to avoid conflicts
Summary: change executable's name in biology/tinker, to avoid conflicts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-14 08:20 UTC by TsurutaniNaoki
Modified: 2014-04-22 21:08 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.26 KB, patch)
2014-03-14 08:20 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-03-14 08:20:00 UTC
	biology/tinker conflicts with textproc/hunspell.
	this is already reported and marked as "CONFLICTS",
	but this prevents installing mail/thunderbird, www/libxul, etc.
	biology/tinker is not required by the other ports, and
	i think only one executable "analyze" with tinker should be changed
	to "analyze_t" or any other names.
	this lets many people to install thunderbird and tinker on the same host.
	if someone who thinks this bothers him, set alias in his shell.

Fix: here is a patch only for tinker. please remove CONFLICTS line from hunspell' Makefile.
Comment 1 Thomas Zander freebsd_committer 2014-04-22 11:30:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-04-22 20:28:22 UTC
Author: riggs
Date: Tue Apr 22 19:28:18 2014
New Revision: 351875
URL: http://svnweb.freebsd.org/changeset/ports/351875
QAT: https://qat.redports.org/buildarchive/r351875/

Log:
  - Un-break fetch stage: the name scheme of the source tarballs has changed
  - Add LICENSE*
  - Remove conflict with hunspell:
    - Rename the 'analyze' binary to 'analyze_t'
    - put a note in pkg-message.in
  - Pet portlint
  
  PR:		ports/187569
  Submitted by:	Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  Approved by:	thierry (mentor)
  MFH:	2014Q2

Modified:
  head/biology/tinker/Makefile
  head/biology/tinker/distinfo
  head/biology/tinker/files/patch-make__Makefile
  head/biology/tinker/files/pkg-message.in
  head/biology/tinker/pkg-plist

Modified: head/biology/tinker/Makefile
==============================================================================
--- head/biology/tinker/Makefile	Tue Apr 22 19:16:47 2014	(r351874)
+++ head/biology/tinker/Makefile	Tue Apr 22 19:28:18 2014	(r351875)
@@ -2,17 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	tinker
-PORTVERSION=	6.2.06
-PORTREVISION=	4
+PORTVERSION=	6.2.6
+PORTREVISION=	5
 CATEGORIES=	biology
 MASTER_SITES=	http://dasher.wustl.edu/tinker/downloads/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	General purpose molecular modelling package
 
-RESTRICTED=	author requests no distribution except from his FTP site
+LICENSE=	tinker
+LICENSE_NAME=	TINKER license agreement
+LICENSE_FILE=	${WRKSRC}/doc/license.txt
+LICENSE_PERMS=	auto-accept
 
-CONFLICTS_INSTALL=	hunspell-[0-9]*
+RESTRICTED=	author requests no distribution except from his FTP site
 
 OPTIONS_DEFINE=	OPTIMIZED_FFLAGS DOCS EXAMPLES
 OPTIMIZED_FFLAGS_DESC=	compilation optimizations

Modified: head/biology/tinker/distinfo
==============================================================================
--- head/biology/tinker/distinfo	Tue Apr 22 19:16:47 2014	(r351874)
+++ head/biology/tinker/distinfo	Tue Apr 22 19:28:18 2014	(r351875)
@@ -1,2 +1,2 @@
-SHA256 (tinker-6.2.06.tar.gz) = a6eb5cb31b7e93a1f2d323ca73e45f16291763a3e0faa3615a3219e6f9814277
-SIZE (tinker-6.2.06.tar.gz) = 20181780
+SHA256 (tinker-6.2.6.tar.gz) = a6eb5cb31b7e93a1f2d323ca73e45f16291763a3e0faa3615a3219e6f9814277
+SIZE (tinker-6.2.6.tar.gz) = 20181780

Modified: head/biology/tinker/files/patch-make__Makefile
==============================================================================
--- head/biology/tinker/files/patch-make__Makefile	Tue Apr 22 19:16:47 2014	(r351874)
+++ head/biology/tinker/files/patch-make__Makefile	Tue Apr 22 19:28:18 2014	(r351875)
@@ -1,5 +1,5 @@
---- make/Makefile.orig	2012-06-29 14:51:42.000000000 +0900
-+++ make/Makefile	2012-11-10 00:12:19.000000000 +0900
+--- make/Makefile.orig	2013-07-14 11:23:53.000000000 +0900
++++ make/Makefile	2014-03-14 16:59:17.000000000 +0900
 @@ -30,9 +30,9 @@
  ##  LINKDIR      Linked Copies of TINKER Executables
  ##
@@ -73,7 +73,7 @@
  
  all:	${EXEFILES}
  
-@@ -612,70 +625,70 @@
+@@ -612,74 +625,74 @@
  	rm -f *.o *.a *.x
  
  listing:
@@ -143,7 +143,7 @@
 -	mv  xyzpdb.x     $(BINDIR)/xyzpdb
 -	mv  xyzsybyl.x   $(BINDIR)/xyzsybyl
 +	${BSD_INSTALL_PROGRAM}  alchemy.x    $(BINDIR)/alchemy
-+	${BSD_INSTALL_PROGRAM}  analyze.x    $(BINDIR)/analyze
++	${BSD_INSTALL_PROGRAM}  analyze.x    $(BINDIR)/analyze_t
 +	${BSD_INSTALL_PROGRAM}  anneal.x     $(BINDIR)/anneal
 +	${BSD_INSTALL_PROGRAM}  archive.x    $(BINDIR)/archive
 +	${BSD_INSTALL_PROGRAM}  bar.x        $(BINDIR)/bar
@@ -206,3 +206,17 @@
  
  remove_links:
  	rm -f $(LINKDIR)/alchemy
+-	rm -f $(LINKDIR)/analyze
++	rm -f $(LINKDIR)/analyze_t
+ 	rm -f $(LINKDIR)/anneal
+ 	rm -f $(LINKDIR)/archive
+ 	rm -f $(LINKDIR)/bar
+@@ -742,7 +755,7 @@
+ 
+ create_links:
+ 	ln -s $(BINDIR)/alchemy    $(LINKDIR)/alchemy
+-	ln -s $(BINDIR)/analyze    $(LINKDIR)/analyze
++	ln -s $(BINDIR)/analyze_t  $(LINKDIR)/analyze_t
+ 	ln -s $(BINDIR)/anneal     $(LINKDIR)/anneal
+ 	ln -s $(BINDIR)/archive    $(LINKDIR)/archive
+ 	ln -s $(BINDIR)/bar        $(LINKDIR)/bar

Modified: head/biology/tinker/files/pkg-message.in
==============================================================================
--- head/biology/tinker/files/pkg-message.in	Tue Apr 22 19:16:47 2014	(r351874)
+++ head/biology/tinker/files/pkg-message.in	Tue Apr 22 19:28:18 2014	(r351875)
@@ -2,5 +2,10 @@
    The author requests that you return a license form
    to him if you find Tinker to be useful.
 
-   See %%DOCSDIR%% for license forms.
+   See %%PREFIX%%/share/licenses for license forms.
+
+   The name of TINKER's 'analyze' program has been changed
+   to 'analyze_t' during installation to allow for use on
+   systems where the very common hunspell package is
+   installed as well.
 **********************************************************

Modified: head/biology/tinker/pkg-plist
==============================================================================
--- head/biology/tinker/pkg-plist	Tue Apr 22 19:16:47 2014	(r351874)
+++ head/biology/tinker/pkg-plist	Tue Apr 22 19:28:18 2014	(r351875)
@@ -1,5 +1,5 @@
 bin/alchemy
-bin/analyze
+bin/analyze_t
 bin/anneal
 bin/archive
 bin/bar
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Zander freebsd_committer 2014-04-22 21:08:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!